Bug 1008604

Summary: swap space mentioned in fstab is not used
Product: [Fedora] Fedora Reporter: Mukundan Ragavan <nonamedotc>
Component: systemdAssignee: systemd-maint
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: bruno, dennis, johannbg, lnykryn, msekleta, orion, piotrdrag, plautrba, systemd-maint, vpavlin, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: systemd-207-2.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1008707 (view as bug list) Environment:
Last Closed: 2013-09-23 00:08:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1008707    

Description Mukundan Ragavan 2013-09-16 16:39:20 UTC
Swap space in  Fedora 20 is not detected. 

/etc/fstab

/dev/mapper/luks-UUID2 /                       ext4
defaults,x-systemd.device-timeout=0 1 1
UUID=UUID-BOOT         /boot                   ext4 defaults        1 2
/dev/mapper/luks-UUID1 swap                    swap
defaults,x-systemd.device-timeout=0 0 0 

/etc/crypttab
luks-UUID1 UUID=UUID1 none
luks-UUID2 UUID=UUID2 none 

If I type swapon -s - it shows nothing. But if I do swapon -a and then
check, swap is used.

# swapon -a

# swapon -s
Filename                Type        Size    Used    Priority
/dev/dm-1                                  partition    7810044 0    -1 

The same setup works on Fedora 19 without problems.

Expected results:
Swap should be detected and used.

I do not know what other information would be needed. I can provide other information/files as needed.

This has now happened on multiple installations.

Comment 1 Orion Poplawski 2013-09-16 17:37:23 UTC
Pretty sure systemd handles this.  I don't see a dev-*.swap unit anymore as well.

# systemctl | grep swap
swap.target                 loaded active active    Swap

UUID=202dbc9b-291c-428e-bcb0-f4fab2b8d84e swap                    swap    defaults        0 0

Comment 3 Fedora Update System 2013-09-16 22:48:51 UTC
systemd-207-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-207-2.fc20

Comment 4 Mukundan Ragavan 2013-09-17 03:01:25 UTC
systemd-207-2 fixes this issue. I am changing the status to ON_QA. 

I hope that's appropriate.

Comment 5 Fedora Update System 2013-09-23 00:08:12 UTC
systemd-207-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.